Name:           nettle
Version:        3.6
Release:        4
Summary:        A low-level cryptographic library
License:        LGPLv3+ or GPLv2+
URL:            https://www.lysator.liu.se/~nisse/nettle/
Source0:        https://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.gz

Patch0:         0000-nettle-3.3-remove-ecc-testsuite.patch

Patch6000:      backport-0001-CVE-2021-20305.patch
Patch6001:      backport-0002-CVE-2021-20305.patch
Patch6002:      backport-0003-CVE-2021-20305.patch
Patch6003:      backport-0004-CVE-2021-20305.patch
Patch6004:      backport-0005-CVE-2021-20305.patch
Patch6005:      backport-0006-CVE-2021-20305.patch
Patch6006:      backport-0007-CVE-2021-20305.patch
Patch6007:      backport-CVE-2021-3580.patch

BuildRequires:  automake autoconf fipscheck gcc gettext-devel gmp-devel libtool m4

%description
Nettle is a cryptographic library designed to fit any context:
in crypto toolkits for object-oriented languages, in applications
like LSH or GnuPG, or even in kernel space.

%package devel
Summary:        Development headers for %{name} package
Requires:       %{name} = %{version}-%{release} gmp-devel

%description devel
The devel for %{name}

%package_help

%prep
%autosetup -n %{name}-3.6 -p1

sed s/ggdb3/g/ -i configure
sed 's/ecc-192.c//g' -i Makefile.in
sed 's/ecc-224.c//g' -i Makefile.in

%build
autoreconf -ifv
%configure --enable-shared --enable-fat
%make_build

%install
%make_install
make install-shared
install -D -p -m0644 nettle.info "$RPM_BUILD_ROOT%{_infodir}/nettle.info"

chmod 0755 $RPM_BUILD_ROOT%{_libdir}/libnettle.so.8.*
chmod 0755 $RPM_BUILD_ROOT%{_libdir}/libhogweed.so.6.*

%check
make check

%files
%defattr(-,root,root)
%doc AUTHORS descore.README nettle.pdf
%license COPYINGv2 COPYINGv3 COPYING.LESSERv3
%{_infodir}/nettle.info.gz
%exclude %{_infodir}/dir
%{_libdir}/libnettle.so.8*
%{_libdir}/libhogweed.so.6*
%exclude %{_bindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/nettle/
%{_libdir}/*.a
%{_libdir}/libnettle.so
%{_libdir}/libhogweed.so
%{_libdir}/pkgconfig/*

%files help
%defattr(-,root,root)
%doc NEWS README 
%doc nettle.html

%ldconfig_scriptlets

%changelog
* Mon Sep 05 2022 gaihuiying <eaglegai@163.com> - 3.6-4
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:delete useless files

* Mon Aug 16 2021 gaihuiying <gaihuiying1@huawei.com> - 3.6-3
- Type:CVE
- CVE:CVE-2021-3580
- SUG:NA
- DESC:fix CVE-2021-3580

* Mon Apr 19 2021 xihaochen <xihaochen@huawei.com> - 3.6-2
- Type:CVE
- CVE:CVE-2021-20305
- SUG:NA
- DESC:fix CVE-2021-20305

* Wed Aug 26 2020 lunankun <lunankun@huawei.com> - 3.6-1
- Type:requirement
- Id:NA
- SUG:NA
- DESC:update to 3.6 

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.4.1rc1-4
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:add COPYINGv3 in license

* Wed Sep 04 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.4.1rc1-3
- Package init
